## pax 1.5

=== Makefile ===
#	$OpenBSD: Makefile,v 1.9 1997/09/21 11:35:28 deraadt Exp $

# To install on versions prior to BSD 4.4 the following may have to be
# defined with CFLAGS +=
#
# -DNET2_STAT	Use NET2 or older stat structure. The version of the
# 		stat structure is easily determined by looking at the
# 		basic type of an off_t (often defined in the file:
# 		/usr/include/sys/types.h). If off_t is a long (and is
# 		NOT A quad) then you must define NET2_STAT.
# 		This define is important, as if you do have a quad_t
# 		off_t and define NET2_STAT, pax will compile but will
# 		NOT RUN PROPERLY.
#
# -DNET2_FTS	Use the older NET2 fts. To identify the version,
# 		examine the file: /usr/include/fts.h. If FTS_COMFOLLOW
# 		is not defined then you must define NET2_FTS.
# 		Pax may not compile if this not (un)defined properly.
#
# -DNET2_REGEX	Use the older regexp.h not regex.h. The regex version
# 		is determined by looking at the value returned by
# 		regexec() (man 3 regexec). If regexec return a 1 for
# 		success (and NOT a 0 for success) you have the older
# 		regex routines and must define NET2_REGEX.
# 		Pax may not compile if this not (un)defined properly.

PROG=   pax
SRCS=	ar_io.c ar_subs.c buf_subs.c cache.c cpio.c file_subs.c ftree.c\
	gen_subs.c getoldopt.c options.c pat_rep.c pax.c sel_subs.c tables.c\
	tar.c tty_subs.c
MAN=	pax.1 tar.1 cpio.1
LINKS=	${BINDIR}/pax ${BINDIR}/tar ${BINDIR}/pax ${BINDIR}/cpio

.include <bsd.prog.mk>

## pax 1.5-2

=== Makefile ===
PROG=   pax
SRCS=	ar_io.c ar_subs.c buf_subs.c cache.c cpio.c file_subs.c ftree.c\
	gen_subs.c getoldopt.c options.c pat_rep.c pax.c sel_subs.c tables.c\
	tar.c tty_subs.c fgetln.c strmode.c
OBJS=	$(SRCS:.c=.o)
MAN=	pax.1

CFLAGS= -Wall -O2 -g\
	-DNET2_STAT -D_PATH_DEFTAPE=\"/dev/rmt0\" -DDEBIAN -D_GNU_SOURCE

prefix=/usr/local

pax:	$(OBJS)
	$(CC) $(CFLAGS) $(OBJS) -o $@ $(LIBS)

clean:
	$(RM) *.o

realclean: clean
	$(RM) $(PROG)

install:
	install -d -m 755 $(prefix)/bin $(prefix)/man/man1
	install -s -m 755 $(PROG) $(prefix)/bin
	install    -m 644 $(MAN)  $(prefix)/man/man1

=== debian/changelog ===
pax (1:1.5-2) unstable; urgency=low

  * changed Maintainer address to official and working Debian address

  * renamed md5sum to md5sums.

 -- David Frey <dfrey@debian.org>  Fri, 13 Feb 1998 23:15:39 +0100

pax (1:1.5-1) unstable; urgency=low

  * Initial Release of the OpenBSD's pax program from Keith Muller

 -- David Frey <dFrey@debian.org>  Wed, 10 Dec 1997 12:57:48 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: pax
Section: utils
Priority: extra
Maintainer: David Frey <dfrey@debian.org>
Standards-Version: 2.3.0.1

Package: pax
Architecture: any
Depends: ${shlibs:Depends}
Description: Portable Archive Interchange
 Pax is an archiving utility that reads and writes tar and cpio formats,
 both the traditional ones and the extended formats specified in IEEE 1003.1.
 It handles multi-volume archives and automatically determines the format 
 of an archive while reading it.  Three user interfaces are 
 supported: tar, cpio, and pax.  The pax interface was designed by IEEE
 1003.2 as a compromise in the chronic controversy over which of tar or
 cpio is best.
 .
 This is the free OpenBSD's version written by Keith Muller.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>

# The name of the package (for example, `emacs').
package=$(shell sed -n -e 's/Package: *\([a-z]\)/\1/p' debian/control)

build:
	$(MAKE) $(package) && touch build

clean:
	-$(MAKE) -i realclean && rm -f build
	-rm -rf *~ debian/tmp debian/*~ debian/files*

binary-indep:	build
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	build
	-rm -rf debian/tmp
	mkdir debian/tmp
	(cd debian/tmp; install -d DEBIAN usr/doc/$(package))
	$(MAKE) prefix=debian/tmp/usr install
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	gzip -9f debian/tmp/usr/doc/$(package)/changelog.Debian
	gzip -9  debian/tmp/usr/man/man1/$(package).1
	cp debian/copyright debian/tmp/usr/doc/$(package)
	dpkg-shlibdeps $(package)
	cd debian/tmp &&\
	  md5sum `find * -name DEBIAN -prune -o -type f -print`\
	   > DEBIAN/md5sums
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-arch binary-indep clean

## pax 1.5-8

=== Makefile ===
--- 
+++ 
@@ -20,6 +20,6 @@
 	$(RM) $(PROG)
 
 install:
-	install -d -m 755 $(prefix)/bin $(prefix)/man/man1
+	install -d -m 755 $(prefix)/bin $(prefix)/share/man/man1
 	install -s -m 755 $(PROG) $(prefix)/bin
-	install    -m 644 $(MAN)  $(prefix)/man/man1
+	install    -m 644 $(MAN)  $(prefix)/share/man/man1

=== debian/changelog ===
pax (1:1.5-8) stable unstable; urgency=low

  * oops.  rebuild with appropriate libraries for potato, closes: #75012

 -- Bdale Garbee <bdale@gag.com>  Fri, 20 Oct 2000 12:16:17 -0600

pax (1:1.5-7) stable unstable; urgency=low

  * apply patch from Geoff Clare <geoff@gclare.org.uk> that fixes problem with
    "full" name fields in ustar format.  Target stable since this can cause
    file loss under some circumstances.  Closes: #71644

 -- Bdale Garbee <bdale@gag.com>  Sun, 15 Oct 2000 23:25:49 -0600

pax (1:1.5-6) unstable; urgency=low

  * update to latest standards, add Build-Depends, get FHS'ed

 -- Bdale Garbee <bdale@gag.com>  Fri,  7 Jan 2000 20:39:46 -0700

pax (1:1.5-5) unstable; urgency=low

  * patches from Roman Hodek to include <sys/sysmacros.h> for glibc2.1,
    closes 41656.

 -- Bdale Garbee <bdale@gag.com>  Mon,  2 Aug 1999 01:51:03 -0600

pax (1:1.5-4) unstable; urgency=low

  * hack to fix compile problems with glibc-2.1, closes 34668

 -- Bdale Garbee <bdale@gag.com>  Mon, 24 May 1999 23:45:16 -0600

pax (1:1.5-3) unstable; urgency=low

  * new maintainer
  * freshen to pick up changes in latest OpenBSD pax source, and to get back
    to an upstream orig and Debian diffs configuration
  * rewrite rules file to use debhelper
  * update long description to indicate that this package will eventually
    be obsoleted by paxutils, a pre-release of which I'm working with now

 -- Bdale Garbee <bdale@gag.com>  Wed,  2 Dec 1998 21:21:57 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: pax
 Section: utils
 Priority: extra
-Maintainer: David Frey <dfrey@debian.org>
-Standards-Version: 2.3.0.1
+Maintainer: Bdale Garbee <bdale@gag.com>
+Build-Depends: debhelper
+Standards-Version: 3.1.1.1
 
 Package: pax
 Architecture: any
@@ -17,3 +18,5 @@
  cpio is best.
  .
  This is the free OpenBSD's version written by Keith Muller.
+ .
+ This package will eventually be obsoleted by the release of GNU paxutils.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# comment this to turn off verbose mode.
export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	-$(MAKE) realclean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) prefix=`pwd`/debian/tmp/usr install

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
	dh_installmanpages cpio.1 tar.1
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
#	dh_makeshlibs
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## pax 20090728

=== debian/changelog ===
pax (1:20090728-4) unstable; urgency=low

  * updated patch to fix hurd FTBFS, closes: #645346

 -- Bdale Garbee <bdale@gag.com>  Tue, 01 Nov 2011 06:55:59 -0600

pax (1:20090728-3) unstable; urgency=low

  * switch to use of dh
  * apply patch that purports to fix hurd FTBFS, closes: #645346

 -- Bdale Garbee <bdale@gag.com>  Sat, 22 Oct 2011 15:08:57 -0600

pax (1:20090728-2) unstable; urgency=low

  * update CFLAGS to prevent pax displaying file sizes 4*2^30 too large,
    closes: #595482
  * fix for tar.c to always add devmajor and devminor, closes: #609825
  * add Vcs entries to the control file

 -- Bdale Garbee <bdale@gag.com>  Thu, 17 Feb 2011 06:39:27 -0700

pax (1:20090728-1) unstable; urgency=low

  * new upstream version synthesized from OpenBSD CVS HEAD, 
    closes: #434470, #277738
  * update package description, et al, to reflect that we only ship with the
    pax interface (executable name) but cpio and tar can work if appropriately
    linked, closes: #505474

 -- Bdale Garbee <bdale@gag.com>  Wed, 29 Jul 2009 13:18:43 +0200

pax (1:1.5-16) unstable; urgency=low

  * patch for -s irregularities from Stephane Chazelas, closes: #451361
  * clean up various lintian warnings

 -- Bdale Garbee <bdale@gag.com>  Tue, 11 Dec 2007 23:13:03 -0700

pax (1:1.5-15) unstable; urgency=low

  * update priority in control file to match override
  * patch to fix archiving of 100 byte pathnames, closes: #191127
  * patch to fix full prefix field in ustar format, closes: #201768

 -- Bdale Garbee <bdale@gag.com>  Sun, 30 May 2004 00:48:29 -0300

pax (1:1.5-14) unstable; urgency=low

  * merge bzip2 support patch from Stephen Williams, closes: #178995

 -- Bdale Garbee <bdale@gag.com>  Tue, 18 Feb 2003 01:20:50 -0700

pax (1:1.5-13) unstable; urgency=low

  * apply patch from Anthony Towns to fix minor POSIX incompliance observed
    during LSB certification work, closes: #139943

 -- Bdale Garbee <bdale@gag.com>  Thu, 15 Aug 2002 14:56:57 -0600

pax (1:1.5-12) unstable; urgency=low

  * apply patch from Adam Heath for off-by-one error in tar.c when a file 
    has a long name, and the prefix is being filled for a posix tar header.  
    The last byte in the prefix wasn't being set to \0, closes: #128980
  * minor cosmetic changes to debian/ files

 -- Bdale Garbee <bdale@gag.com>  Mon, 14 Jan 2002 13:58:46 -0700

pax (1:1.5-11) unstable; urgency=low

  * change man page to fix references to POSIX standard, closes: #97839

 -- Bdale Garbee <bdale@gag.com>  Tue,  1 Jan 2002 09:43:00 -0700

pax (1:1.5-10) unstable; urgency=low

  * undo #if DEBIAN clause in file_subs.c that forced used of chown instead
    of lchown, since it's not necessary with modern kernels and causes other
    problems, closes: #110253
  * get rid of suidregister stuff, update standards version, etc

 -- Bdale Garbee <bdale@gag.com>  Sun, 30 Dec 2001 20:42:33 -0700

pax (1:1.5-9) unstable; urgency=low

  * trim extended description since paxutils is still not out, closes: #79035
  * fix sys/time.h + time.h inclusion problems, closes: #100790, #105191

 -- Bdale Garbee <bdale@gag.com>  Sun, 22 Jul 2001 23:20:46 -0600

=== debian/control ===
Source: pax
Section: utils
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.2
Vcs-Git: git://git.gag.com/debian/pax
Vcs-Browser: http://git.gag.com/?p=debian/pax

Package: pax
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Portable Archive Interchange
 Pax is an archiving utility that reads and writes tar and cpio formats,
 both the traditional ones and the extended formats specified in IEEE 1003.1.
 It handles multi-volume archives and automatically determines the format 
 of an archive while reading it.  The pax interface was designed by IEEE
 1003.2 as a compromise in the chronic controversy over which of tar or
 cpio is best.
 .
 This is the free OpenBSD's version written by Keith Muller.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

export DH_VERBOSE=1

%:
	dh $@

## pax 20120216

=== Makefile ===
# $MirOS: src/bin/pax/Makefile,v 1.9 2012/02/16 17:48:06 tg Exp $
# $OpenBSD: Makefile,v 1.10 2001/05/26 00:32:20 millert Exp $
#-
# It may be necessary to define some options on pre-4.4BSD or
# other operating systems:
#
# -DLONG_OFF_T	The base type of off_t is a long, not a long long.
#		This is often defined in: /usr/include/sys/types.h

PROG=   pax
SRCS=	ar.c ar_io.c ar_subs.c buf_subs.c cache.c cpio.c file_subs.c ftree.c \
	gen_subs.c getoldopt.c options.c pat_rep.c pax.c sel_subs.c tables.c \
	tar.c tty_subs.c
MAN=	pax.1 tar.1 cpio.1
LINKS=	${BINDIR}/pax ${BINDIR}/tar \
	${BINDIR}/pax ${BINDIR}/cpio

.if (${MACHINE_OS} == "Interix") || (${MACHINE_OS} == "Linux") || \
    ((${MACHINE_OS} == "GNU") && (${OSNAME} != "GNU/kFreeBSD"))
CPPFLAGS+= -DLONG_OFF_T
.endif

.include <bsd.prog.mk>

## pax 20120606

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $MirOS: src/bin/pax/Makefile,v 1.9 2012/02/16 17:48:06 tg Exp $
+# $MirOS: src/bin/pax/Makefile,v 1.11 2012/06/05 18:15:58 tg Exp $
 # $OpenBSD: Makefile,v 1.10 2001/05/26 00:32:20 millert Exp $
 #-
 # It may be necessary to define some options on pre-4.4BSD or
@@ -20,4 +20,10 @@
 CPPFLAGS+= -DLONG_OFF_T
 .endif
 
+.if (${MACHINE_OS} == "BSD")
+CPPFLAGS+= -DHAVE_STRLCPY
+CPPFLAGS+= -DHAVE_STRMODE
+CPPFLAGS+= -DHAVE_VIS
+.endif
+
 .include <bsd.prog.mk>

=== debian/changelog ===
pax (1:20120606-2+deb7u1) unstable; urgency=low

  * The “I know how that feels, porting” upload
  * Apparently, x32 did the right thing and uses a 64-bit off_t
    by default as the BSDs do, even if its long is shorter; it’s
    the first Linux architecture to do so ⇒ needs an extra check
  * Upload to unstable, so the x32 porting can go on; it doesn’t
    need to migrate to wheezy in itself but this change shouldn’t
    prevent an eventual 1:20120606-2+deb7u2 from migrating either

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 26 Jan 2013 17:04:17 +0000

pax (1:20120606-2) unstable; urgency=low

  * Fix permissions, timestamps, and shuffle dh_* around
  * Switch to 3.0 (quilt)
  * Temporarily add a versioned B-C for fakeroot on hurd (#676428)

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 07 Jun 2012 00:37:12 +0000

pax (1:20120606-1) unstable; urgency=low

  * The “How the … did I get sore s̲h̲o̲u̲l̲d̲e̲r̲ muscles from football?” upload
  * Update to new upstream version:
    - oops, fix tty_init rewrito
  * This fixes FTBFS

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 06 Jun 2012 00:49:57 +0200

pax (1:20120605-1) unstable; urgency=low

  * The “Sport ist Mord” upload
  * Update to new upstream version:
    - merge fixes from OpenBSD
    - improve portability
    - remove use of stdio in favour of syscalls in some places
    - mention nōn-support (TOOD) of pax file format in manpages
  * Drop lintian overrides
    - false positive is resolved
    - we don’t really care about no-homepage and no-upstream-changelog
  * Build-Depends less package! Thanks to “goodbye” sample package!
  * Aid cross-compiling by setting ${CC} to something useful

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 05 Jun 2012 21:23:06 +0000

pax (1:20120520-1) unstable; urgency=low

  * New upstream version
    - paxtar front-end got a new 'a' option for compression
      utility auto-detection, based on archive filename
    - includes options.c change (drop Debian patch)
  * Mention member size limitations on !kfreebsd !LP64 platforms
    due to an eglibc bug (#317466)
  * Override lintian false-positive "hardening-no-stackprotector"
  * Add overrides for "yes, not an omission, there are none"

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 20 May 2012 18:05:19 +0000

pax (1:20120216-2) unstable; urgency=low

  * Update options.c to version from CVS to ensure the order of
    command line arguments in the cpio front-end more tightly,
    to prevent creating archives in the wrong format accidentally
  * Link with --as-needed (not enough to workaround #650145 though ☹)
  * Policy 3.9.3 (no changes)
  * Mention non-support of ACLs/EAs in the long description

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 27 Feb 2012 22:37:12 +0000

pax (1:20120216-1) unstable; urgency=low

  * Debian GNU/kFreeBSD uses 64-bit off_t line FreeBSD®, unlike GNU
  * Implement GNU cpio ‘-V’ option

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 16 Feb 2012 18:01:39 +0000

pax (1:20120212-1) unstable; urgency=low

  * Brown paper bag: pasto in one of the manpages, and work around a
    GNU groff deficiency in another

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 12 Feb 2012 03:03:15 +0000

pax (1:20120211-1) unstable; urgency=low

  * Take over maintainership of the pax package in Debian from
    Bdale Garbee (thanks) and replace it with the MirBSD variant
    also providing paxcpio/paxtar (Closes: #42158) (Closes: #539353)
  * debian/rules: cleanup (remove dh_installdirs, add back dh_clean)
  * debian/rules: modernise; use fully hardened dpkg-buildflags
  * debian/control: rework package description

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 12 Feb 2012 02:10:40 +0000

mircpio (20110817-0wtf2) wtf; urgency=low

  * New upstream release, many new features
    - build from formal release, not CVS export
  * Update packaging to current standards, still works with etch
  * Link against libbsd (backport) instead of duplicating code
  * Move to Policy 3.9.2 (no relevant changes)
  * Add RCS IDs, VCS-* headers, misc:Depends
  * Patch manpages to honour the binary præfix (pax→mirpax, etc.)
  * Enhance package description, mention distinguishing features
  * paxmirabilis can do Multi-Arch: foreign as requested by vorlon
  * Add Origin and Bugs headers

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 17 Aug 2011 10:55:08 +0000

mircpio (20080906-1) experimental; urgency=low

  * Initial release
  * Adjust manpages to cope with GNU groff’s inferiorities

 -- Thorsten Glaser <tg@freewrt.org>  Sun, 07 Sep 2008 01:00:10 +0000

=== debian/control ===
# $MirOS: contrib/hosted/tg/deb/mircpio/debian/control,v 1.19 2012/06/07 00:38:22 tg Exp $
#
Source: pax
Section: utils
Priority: optional
Maintainer: Thorsten Glaser <tg@mirbsd.de>
Build-Conflicts: fakeroot (<< 1.18.4-2~) [hurd-i386]
Standards-Version: 3.9.3
# First word is the $CVSROOT (-d arg) string, second word the module.
# Upstream is on the same server, in the "pax" module.
Vcs-CVS: :ext:_anoncvs@anoncvs.mirbsd.org:/cvs contrib/hosted/tg/deb/mircpio
Vcs-Browser: http://cvs.mirbsd.de/contrib/hosted/tg/deb/mircpio/

Package: pax
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}
Description: Portable Archive Interchange (cpio, pax, tar)
 paxtar is an implementation of an archiving utility that reads
 and writes several formats - traditional ones, the extended
 formats specified in IEEE 1003.1, and the ar(5) format used
 by deb(5) packages (MirBSD specific paxtar extension). The
 pax interface was designed by IEEE 1003.2 as a compromise in
 the chronic controversy over which of tar or cpio is best, but
 this implementation offers paxcpio and paxtar for easy calling.
 .
 This is the MirBSD paxtar implementation supporting the formats
 ar, bcpio, cpio, SVR4 cpio with and without CRC, old tar, and
 ustar, but not the format known as pax yet. It has extensions
 for removing non-numerical user and group IDs from the archive,
 storing hardlinked files only once, setting ownership to the
 superuser, anonymising inode and device information, changing
 the mtime to zero, and producing GNU tar compatible trailing
 slashes on ustar directory nodes. Its "ar" format is suitable
 for operating on *.deb files, unlike that of GNU binutils.
 .
 Note that ACLs and Extended Attributes are not supported.
 Also, on Debian GNU/Hurd and Debian GNU/Linux (but not
 Debian GNU/kFreeBSD), size of archive members is limited
 to the width of the "long" type, that is, 2 GiB on platforms
 that do not have a 64-bit "long" type, due to a bug in the
 GNU C library (Debian #317466).

=== debian/rules ===
#!/usr/bin/make -f
# $MirOS: contrib/hosted/tg/deb/mircpio/debian/rules,v 1.20.2.1 2013/01/26 17:06:45 tg Exp $

DEB_BUILD_ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

# is ${CC} defined anywhere (other than implicit rules?)
ifneq (,$(findstring $(origin CC),default undefined))
# no - then default to gcc (or cross-gcc)
ifneq (${DEB_BUILD_ARCH},${DEB_HOST_ARCH})
CC=			${DEB_HOST_GNU_TYPE}-gcc
else
CC=			gcc
endif
endif

EXTRA_CFLAGS=		-Wall -Wextra -Wformat -fno-strict-aliasing
EXTRA_LDFLAGS=		-Wl,--as-needed

ifneq (kfreebsd,${DEB_HOST_ARCH_OS})
ifneq (x32,${DEB_HOST_ARCH})
EXTRA_CPPFLAGS+=	-DLONG_OFF_T
endif
endif

ifneq (,$(wildcard /usr/share/dpkg/buildflags.mk))
# dpkg-dev (>= 1.16.1~)
DEB_CFLAGS_MAINT_APPEND=${EXTRA_CFLAGS}
DEB_CPPFLAGS_MAINT_APPEND=${EXTRA_CPPFLAGS}
DEB_LDFLAGS_MAINT_APPEND=${EXTRA_LDFLAGS}
DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/buildflags.mk
else
# old-fashioned way to determine build flags
CFLAGS=			-O$(if $(findstring noopt,${DEB_BUILD_OPTIONS}),0,2) -g
CFLAGS+=		${EXTRA_CFLAGS}
CPPFLAGS+=		${EXTRA_CPPFLAGS}
LDFLAGS+=		${EXTRA_LDFLAGS}
endif

build build-arch: debian/.build_stamp
build-indep:

debian/.build_stamp:
	# goodbye dh_testdir
	test -f tty_subs.c
	test -x debian/rules
	+for opts in '-flto=jobserver' '-fwhole-program --combine' ''; do \
		set -x; \
		${CC} ${CPPFLAGS} ${CFLAGS} $$opts ${LDFLAGS} -o pax ar.c \
		    ar_io.c ar_subs.c buf_subs.c cache.c cpio.c file_subs.c \
		    ftree.c gen_subs.c getoldopt.c options.c pat_rep.c pax.c \
		    sel_subs.c tables.c tar.c tty_subs.c; \
		test -x pax && exit 0; \
	done; echo >&2 Compiling failed.; exit 1
	@:>$@

clean:
	# goodbye dh_testdir
	test -f tty_subs.c
	test -x debian/rules
ifneq (${DEB_BUILD_ARCH},${DEB_HOST_ARCH})
	# goodbye dh_testroot
	test 0 = "$$(id -u)"
endif
	-rm -f pax
	-rm -rf debian/.*_stamp debian/B debian/pax
	# goodbye dh_clean
	-rm -f debian/files debian/substvars

binary-indep: build-indep

binary-arch: build-arch
	# goodbye dh_testdir
	test -f tty_subs.c
	test -x debian/rules
ifneq (${DEB_BUILD_ARCH},${DEB_HOST_ARCH})
	# needs (fake)root when cross-compiling
	# goodbye dh_testroot
	test 0 = "$$(id -u)"
endif
	# goodbye dh_prep
	-rm -f debian/files debian/substvars
	# goodbye dh_installdirs
	-rm -rf debian/pax
	mkdir -p debian/pax/bin debian/pax/usr/share/doc/pax \
	    debian/pax/usr/share/man/man1
	# goodbye dh_installchangelogs
	cp -a debian/changelog debian/pax/usr/share/doc/pax/changelog.Debian
	gzip -n9 debian/pax/usr/share/doc/pax/changelog.Debian
	# goodbye dh_installdocs
	cp -a debian/copyright debian/pax/usr/share/doc/pax/copyright
	# goodbye dh_install
	cp pax debian/pax/bin/
	# goodbye dh_installman
	echo .nr g 2 | cat - cpio.1 | \
	    gzip -n9 >debian/pax/usr/share/man/man1/paxcpio.1.gz
	echo .nr g 2 | cat - pax.1 | \
	    gzip -n9 >debian/pax/usr/share/man/man1/pax.1.gz
	echo .nr g 2 | cat - tar.1 | \
	    gzip -n9 >debian/pax/usr/share/man/man1/paxtar.1.gz
	# goodbye dh_link
	ln -s pax debian/pax/bin/paxcpio
	ln -s pax debian/pax/bin/paxtar
	# goodbye dh_strip
ifeq (,$(findstring nostrip,${DEB_BUILD_OPTIONS}))
	strip -s -R .note -R .comment debian/pax/bin/pax
endif
	# goodbye dh_fixperms
ifneq (${DEB_BUILD_ARCH},${DEB_HOST_ARCH})
	chown -R 0:0 debian/pax
endif
	chmod 644 $$(find debian/pax -type f)
	chmod 755 $$(find debian/pax -type d) \
	    debian/pax/bin/pax
	# goodbye dh_installdeb
	-rm -rf debian/B
	mkdir -p debian/pax/DEBIAN debian/B/c
	# goodbye dh_shlibdeps
	dpkg-shlibdeps -edebian/pax/bin/pax
	# goodbye dh_gencontrol
	dpkg-gencontrol -ppax -Pdebian/pax -isp
	mv debian/pax/DEBIAN/control debian/B/c/
	rm -rf debian/pax/DEBIAN
	# goodbye dh_md5sums
	(cd debian/pax && find . -type f | sed s,^./,, | sort | \
	    xargs md5sum) >debian/B/c/md5sums
	# goodbye dh_builddeb
ifneq (${DEB_BUILD_ARCH},${DEB_HOST_ARCH})
	mv debian/B/c debian/pax/DEBIAN
	dpkg-deb -b debian/pax ..
else
	(cd debian/pax && find . | sort | ./bin/paxcpio \
	    -oC512 -Hustar -Minodes -Mlinks -Muidgid -Mgslash) | \
	    gzip -n9 >debian/B/data.tar.gz
	cd debian/B/c && chmod 644 *
	(cd debian/B/c && find . | sort | ../../pax/bin/paxcpio \
	    -oC512 -Hustar -Minodes -Mlinks -Muidgid -Mgslash) | \
	    gzip -n9 >debian/B/control.tar.gz
	echo 2.0 >debian/B/debian-binary
	read fn rest <debian/files && cd debian/B && \
	    ../pax/bin/paxtar -A -M dist -cf "../../../$$fn" \
	    debian-binary control.tar.gz data.tar.gz
endif

binary: binary-indep binary-arch
.PHONY: binary binary-arch binary-indep build build-arch build-indep clean

=== debian/watch ===
# $MirOS: contrib/hosted/tg/deb/mircpio/debian/watch,v 1.2 2011/08/16 14:37:46 tg Exp $

version=3
http://www.mirbsd.org/MirOS/dist/mir/cpio/ paxmirabilis-(.*)\.cpio\.gz

## pax 20140703

=== debian/changelog ===
pax (1:20140703-2) unstable; urgency=low

  * QA upload.
  * Revert to a more standard Debian packaging style
  * Bump to Policy 3.9.6 while here
  * Orphan the package.

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 07 Oct 2014 18:09:21 +0000

pax (1:20140703-1) unstable; urgency=medium

  * Merge 1:20120606-2+deb7u1 upload
  * debian/control: Move VCS-* fields to Alioth collab-maint git
  * Remove now-useless RCS IDs
  * Bump Policy to 3.9.5 (no changes needed)
  * Revert intrusive, troubling packaging changes from experimental
  * New upstream version, upload to unstable
  * Address lintian’s concerns
  * Plug some GCC fortify warnings

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 03 Jul 2014 23:23:33 +0200

pax (1:20120606-3) experimental; urgency=low

  * “Our littlest” upload
  * Policy 3.9.4.0, with no relevant changes
  * Drop temporary B-C for fakeroot on hurd again
  * debian/watch: mangle the epoch away so DDPO is green again
  * Completely rewrite packaging using debhelper (Closes: #690381)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 26 Nov 2012 17:01:37 +0000

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,16 @@
-# $MirOS: contrib/hosted/tg/deb/mircpio/debian/control,v 1.19 2012/06/07 00:38:22 tg Exp $
-#
 Source: pax
 Section: utils
 Priority: optional
-Maintainer: Thorsten Glaser <tg@mirbsd.de>
-Build-Conflicts: fakeroot (<< 1.18.4-2~) [hurd-i386]
-Standards-Version: 3.9.3
-# First word is the $CVSROOT (-d arg) string, second word the module.
-# Upstream is on the same server, in the "pax" module.
-Vcs-CVS: :ext:_anoncvs@anoncvs.mirbsd.org:/cvs contrib/hosted/tg/deb/mircpio
-Vcs-Browser: http://cvs.mirbsd.de/contrib/hosted/tg/deb/mircpio/
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 5)
+VCS-git: git://anonscm.debian.org/collab-maint/pax.git
+VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pax.git
 
 Package: pax
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Portable Archive Interchange (cpio, pax, tar)
  paxtar is an implementation of an archiving utility that reads
  and writes several formats - traditional ones, the extended

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

CC?=			gcc
EXTRA_CFLAGS=		-Wall -Wextra -Wformat -fno-strict-aliasing
EXTRA_LDFLAGS=		-Wl,--as-needed

ifneq (kfreebsd,${DEB_HOST_ARCH_OS})
ifneq (x32,${DEB_HOST_ARCH})
EXTRA_CPPFLAGS+=	-DLONG_OFF_T
endif
endif

ifneq (,$(wildcard /usr/share/dpkg/buildflags.mk))
# dpkg-dev (>= 1.16.1~)
DEB_CFLAGS_MAINT_APPEND=${EXTRA_CFLAGS}
DEB_CPPFLAGS_MAINT_APPEND=${EXTRA_CPPFLAGS}
DEB_LDFLAGS_MAINT_APPEND=${EXTRA_LDFLAGS}
DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/buildflags.mk
else
# old-fashioned way to determine build flags
CFLAGS=			-O$(if $(findstring noopt,${DEB_BUILD_OPTIONS}),0,2) -g
CFLAGS+=		${EXTRA_CFLAGS}
CPPFLAGS+=		${EXTRA_CPPFLAGS}
LDFLAGS+=		${EXTRA_LDFLAGS}
endif

build: build-arch build-indep
build-arch: debian/.build_stamp
build-indep:

debian/.build_stamp:
	dh_testdir
	+for opts in '-flto=jobserver' '-fwhole-program --combine' ''; do \
		set -x; \
		${CC} ${CPPFLAGS} ${CFLAGS} $$opts ${LDFLAGS} -o pax ar.c \
		    ar_io.c ar_subs.c buf_subs.c cache.c cpio.c file_subs.c \
		    ftree.c gen_subs.c getoldopt.c options.c pat_rep.c pax.c \
		    sel_subs.c tables.c tar.c tty_subs.c; \
		test -x pax && exit 0; \
	done; echo >&2 Compiling failed.; exit 1
	echo .nr g 2 | cat - cpio.1 >debian/paxcpio.1
	echo .nr g 2 | cat - pax.1 >debian/pax.1
	echo .nr g 2 | cat - tar.1 >debian/paxtar.1
	@:>$@

clean:
	dh_testdir
	dh_clean
	-rm -f debian/.*_stamp \
	    debian/paxcpio.1 debian/pax.1 debian/paxtar.1 pax

binary-indep: build-indep

binary-arch: build-arch
	dh_testdir
	dh_testroot
	if test -x "$$(which dh_prep)"; then dh_prep; else dh_clean -k; fi
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installman
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean

## pax 20151013

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $MirOS: src/bin/pax/Makefile,v 1.11 2012/06/05 18:15:58 tg Exp $
+# $MirOS: src/bin/pax/Makefile,v 1.16 2013/07/09 18:48:11 tg Exp $
 # $OpenBSD: Makefile,v 1.10 2001/05/26 00:32:20 millert Exp $
 #-
 # It may be necessary to define some options on pre-4.4BSD or
@@ -11,9 +11,9 @@
 SRCS=	ar.c ar_io.c ar_subs.c buf_subs.c cache.c cpio.c file_subs.c ftree.c \
 	gen_subs.c getoldopt.c options.c pat_rep.c pax.c sel_subs.c tables.c \
 	tar.c tty_subs.c
-MAN=	pax.1 tar.1 cpio.1
-LINKS=	${BINDIR}/pax ${BINDIR}/tar \
-	${BINDIR}/pax ${BINDIR}/cpio
+MAN=	cpio.1 pax.1 tar.1
+LINKS+=	${BINDIR}/pax ${BINDIR}/cpio
+LINKS+=	${BINDIR}/pax ${BINDIR}/tar
 
 .if (${MACHINE_OS} == "Interix") || (${MACHINE_OS} == "Linux") || \
     ((${MACHINE_OS} == "GNU") && (${OSNAME} != "GNU/kFreeBSD"))
@@ -27,3 +27,56 @@
 .endif
 
 .include <bsd.prog.mk>
+
+.ifmake cats
+V_GROFF!=	pkg_info -e 'groff-*'
+V_GHOSTSCRIPT!=	pkg_info -e 'ghostscript-*'
+.  if empty(V_GROFF) || empty(V_GHOSTSCRIPT)
+.    error empty V_GROFF=${V_GROFF} or V_GHOSTSCRIPT=${V_GHOSTSCRIPT}
+.  endif
+.endif
+
+CLEANFILES+=	${MANALL:S/.cat/.ps/} ${MAN:S/$/.pdf/} ${MANALL:S/$/.gz/}
+CLEANFILES+=	${MAN:S/$/.htm/} ${MAN:S/$/.htm.gz/}
+CLEANFILES+=	${MAN:S/$/.txt/} ${MAN:S/$/.txt.gz/}
+CATS_KW=	cpio, pax, tar
+CATS_TITLE_cpio_1=paxcpio - copy file archives in and out
+CATS_TITLE_pax_1=pax - read and write file archives and copy directory hierarchies
+CATS_TITLE_tar_1=paxtar - Unix tape archiver
+cats: ${MANALL} ${MANALL:S/.cat/.ps/}
+.if "${MANALL:Ncpio.cat1:Npax.cat1:Ntar.cat1}" != ""
+.  error Adjust here.
+.endif
+.for _m _n in cpio 1 pax 1 tar 1
+	x=$$(ident ${.CURDIR:Q}/${_m}.${_n} | \
+	    awk '/MirOS:/ { print $$4$$5; }' | \
+	    tr -dc 0-9); (( $${#x} == 14 )) || exit 1; exec \
+	    ${MKSH} ${BSDSRCDIR:Q}/contrib/hosted/tg/ps2pdfmir -c \
+	    -o ${_m}.${_n}.pdf '[' /Author '(The MirOS Project)' \
+	    /Title '('${CATS_TITLE_${_m}_${_n}:Q}')' \
+	    /Subject '(BSD Reference Manual)' /ModDate "(D:$$x)" \
+	    /Creator '(GNU groff version ${V_GROFF:S/groff-//} \(MirPorts\))' \
+	    /Producer '(Artifex Ghostscript ${V_GHOSTSCRIPT:S/ghostscript-//:S/-artifex//} \(MirPorts\))' \
+	    /Keywords '('${CATS_KW:Q}')' /DOCINFO pdfmark \
+	    -f ${_m}.ps${_n}
+.endfor
+	set -e; . ${BSDSRCDIR:Q}/scripts/roff2htm; set_target_absolute; \
+	    for m in ${MANALL}; do \
+		bn=$${m%.*}; ext=$${m##*.cat}; \
+		[[ $$bn != $$m ]]; [[ $$ext != $$m ]]; \
+		gzip -n9 <"$$m" >"$$m.gz"; \
+		col -bx <"$$m" >"$$bn.$$ext.txt"; \
+		rm -f "$$bn.$$ext.txt.gz"; gzip -n9 "$$bn.$$ext.txt"; \
+		do_conversion_verbose "$$bn" "$$ext" "$$m" "$$bn.$$ext.htm"; \
+		rm -f "$$bn.$$ext.htm.gz"; gzip -n9 "$$bn.$$ext.htm"; \
+	done
+
+# NetBSD®
+NOMANDOC=	Yes
+# OpenBSD
+.if defined(MANLINT) && !empty(MANLINT)
+all: use_nroff_instead
+use_nroff_instead:
+	@echo 'Install GNU groff or AT&T nroff to format *roff manpages!'
+	@exit 1
+.endif

=== debian/changelog ===
pax (1:20151013-1) unstable; urgency=low

  * QA upload.
  * New upstream version
    - document more known issues
    - make list output line-buffered
  * Use more current debhelper compat and techniques
  * No longer try link-time optimisation as it’s constantly broken
  * Unbreak x32 build
  * Update lintian overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 13 Oct 2015 23:12:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 5)
+Build-Depends: debhelper (>= 9)
 VCS-git: git://anonscm.debian.org/collab-maint/pax.git
 VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pax.git

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 CC?=			gcc
@@ -33,14 +34,11 @@
 
 debian/.build_stamp:
 	dh_testdir
-	+for opts in '-flto=jobserver' '-fwhole-program --combine' ''; do \
-		set -x; \
-		${CC} ${CPPFLAGS} ${CFLAGS} $$opts ${LDFLAGS} -o pax ar.c \
-		    ar_io.c ar_subs.c buf_subs.c cache.c cpio.c file_subs.c \
-		    ftree.c gen_subs.c getoldopt.c options.c pat_rep.c pax.c \
-		    sel_subs.c tables.c tar.c tty_subs.c; \
-		test -x pax && exit 0; \
-	done; echo >&2 Compiling failed.; exit 1
+	${CC} ${CPPFLAGS} ${CFLAGS} ${LDFLAGS} -o pax ar.c \
+	    ar_io.c ar_subs.c buf_subs.c cache.c cpio.c file_subs.c \
+	    ftree.c gen_subs.c getoldopt.c options.c pat_rep.c pax.c \
+	    sel_subs.c tables.c tar.c tty_subs.c
+	test -x pax
 	echo .nr g 2 | cat - cpio.1 >debian/paxcpio.1
 	echo .nr g 2 | cat - pax.1 >debian/pax.1
 	echo .nr g 2 | cat - tar.1 >debian/paxtar.1
@@ -55,23 +53,10 @@
 binary-indep: build-indep
 
 binary-arch: build-arch
-	dh_testdir
-	dh_testroot
-	if test -x "$$(which dh_prep)"; then dh_prep; else dh_clean -k; fi
-	dh_installchangelogs
-	dh_installdocs
-	dh_install
-	dh_installman
-	dh_lintian
-	dh_link
-	dh_strip
-	dh_compress
-	dh_fixperms
-	dh_installdeb
-	dh_shlibdeps
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
+	dh $@
+
+# avoid dh7 being "too" automagic
+override_dh_auto_install:
 
 binary: binary-arch binary-indep

## pax 20160306

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $MirOS: src/bin/pax/Makefile,v 1.16 2013/07/09 18:48:11 tg Exp $
+# $MirOS: src/bin/pax/Makefile,v 1.18 2016/03/06 14:59:08 tg Exp $
 # $OpenBSD: Makefile,v 1.10 2001/05/26 00:32:20 millert Exp $
 #-
 # It may be necessary to define some options on pre-4.4BSD or
@@ -18,6 +18,10 @@
 .if (${MACHINE_OS} == "Interix") || (${MACHINE_OS} == "Linux") || \
     ((${MACHINE_OS} == "GNU") && (${OSNAME} != "GNU/kFreeBSD"))
 CPPFLAGS+= -DLONG_OFF_T
+.endif
+
+.if (${MACHINE_OS} == "GNU") || (${MACHINE_OS} == "Linux")
+CPPFLAGS+= -DHAVE_LINKAT # probably
 .endif
 
 .if (${MACHINE_OS} == "BSD")
@@ -51,7 +55,7 @@
 	x=$$(ident ${.CURDIR:Q}/${_m}.${_n} | \
 	    awk '/MirOS:/ { print $$4$$5; }' | \
 	    tr -dc 0-9); (( $${#x} == 14 )) || exit 1; exec \
-	    ${MKSH} ${BSDSRCDIR:Q}/contrib/hosted/tg/ps2pdfmir -c \
+	    ${MKSH} ${BSDSRCDIR:Q}/contrib/hosted/tg/ps2pdfmir -p pa4 -c \
 	    -o ${_m}.${_n}.pdf '[' /Author '(The MirOS Project)' \
 	    /Title '('${CATS_TITLE_${_m}_${_n}:Q}')' \
 	    /Subject '(BSD Reference Manual)' /ModDate "(D:$$x)" \

=== debian/changelog ===
pax (1:20160306-1) unstable; urgency=high

  * New upstream version
    - addresses CVE-2015-1193 and CVE-2015-1194 (Closes: #774716)
  * Retake active maintainership with sponsors (Closes: #764402)
  * Update tables.c from CVS incorporating lintian spelling fixes
  * Bump S-V (no changes); add Homepage; SSL URIs for VCS (lintian)

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 06 Mar 2016 22:08:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: pax
 Section: utils
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 3.9.6
+Maintainer: Thorsten Glaser <tg@mirbsd.de>
+Homepage: http://www.mirbsd.org/pax.htm
+Standards-Version: 3.9.7
 Build-Depends: debhelper (>= 9)
-VCS-git: git://anonscm.debian.org/collab-maint/pax.git
-VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pax.git
+VCS-git: https://anonscm.debian.org/collab-maint/pax.git
+VCS-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/pax.git
 
 Package: pax
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,9 @@
 EXTRA_CPPFLAGS+=	-DLONG_OFF_T
 endif
 endif
+
+# probably on all
+EXTRA_CPPFLAGS+=	-DHAVE_LINKAT
 
 ifneq (,$(wildcard /usr/share/dpkg/buildflags.mk))
 # dpkg-dev (>= 1.16.1~)
@@ -34,8 +37,8 @@
 
 debian/.build_stamp:
 	dh_testdir
-	${CC} ${CPPFLAGS} ${CFLAGS} ${LDFLAGS} -o pax ar.c \
-	    ar_io.c ar_subs.c buf_subs.c cache.c cpio.c file_subs.c \
+	${CC} ${CPPFLAGS} ${CFLAGS} ${LDFLAGS} -o pax \
+	    ar.c ar_io.c ar_subs.c buf_subs.c cache.c cpio.c file_subs.c \
 	    ftree.c gen_subs.c getoldopt.c options.c pat_rep.c pax.c \
 	    sel_subs.c tables.c tar.c tty_subs.c
 	test -x pax

## pax 20161104

=== debian/changelog ===
pax (1:20161104-2) unstable; urgency=low

  * Make cross-buildable (Closes: #842849)

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 08 Nov 2016 23:33:12 +0000

pax (1:20161104-1) unstable; urgency=high

  * Fix bug in 1:20161031-1 that prevented several use cases by
    segfaulting; spotted by Han Boetes (thanks!)

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 04 Nov 2016 21:20:35 +0100

pax (1:20161031-1) unstable; urgency=high

  * New upstream version (CVE-2016-6321)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 31 Oct 2016 17:42:24 +0100

pax (1:20161025-1) unstable; urgency=low

  * New upstream version
  * Bump debhelper compat; Policy (no changes needed)
  * Fix VCS URIs
  * Work around /usr/share/dpkg/buildflags.mk not quoting properly
  * Correct lintian overrides, we do have a Homepage now

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 25 Oct 2016 22:33:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,17 @@
 Priority: optional
 Maintainer: Thorsten Glaser <tg@mirbsd.de>
 Homepage: http://www.mirbsd.org/pax.htm
-Standards-Version: 3.9.7
-Build-Depends: debhelper (>= 9)
-VCS-git: https://anonscm.debian.org/collab-maint/pax.git
-VCS-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/pax.git
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10)
+VCS-git: https://anonscm.debian.org/git/collab-maint/pax.git -b master
+VCS-Browser: https://anonscm.debian.org/cgit/collab-maint/pax.git/?h=master
 
 Package: pax
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Enhances: arj, binutils, bsdtar, cpio, dpkg, gzip, lha,
+ p7zip, rar, star, tar, unrar, unzip, zip
 Description: Portable Archive Interchange (cpio, pax, tar)
  paxtar is an implementation of an archiving utility that reads
  and writes several formats - traditional ones, the extended

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,23 @@
 #!/usr/bin/make -f
 
+DEB_BUILD_ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
 DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+ifneq (${DEB_BUILD_ARCH},${DEB_HOST_ARCH})
+DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+endif
 
-CC?=			gcc
+# is ${CC} defined anywhere (other than implicit rules?)
+ifneq (,$(findstring $(origin CC),default undefined))
+# no - then default to gcc (or cross-gcc)
+ifneq (${DEB_BUILD_ARCH},${DEB_HOST_ARCH})
+CC=			${DEB_HOST_GNU_TYPE}-gcc
+else
+CC=			gcc
+endif
+endif
+
+EXTRA_CPPFLAGS=		-DPAX_SAFE_PATH=\"/usr/bin:/bin\"
 EXTRA_CFLAGS=		-Wall -Wextra -Wformat -fno-strict-aliasing
 EXTRA_LDFLAGS=		-Wl,--as-needed
 
@@ -18,9 +32,10 @@
 
 ifneq (,$(wildcard /usr/share/dpkg/buildflags.mk))
 # dpkg-dev (>= 1.16.1~)
-DEB_CFLAGS_MAINT_APPEND=${EXTRA_CFLAGS}
-DEB_CPPFLAGS_MAINT_APPEND=${EXTRA_CPPFLAGS}
-DEB_LDFLAGS_MAINT_APPEND=${EXTRA_LDFLAGS}
+dpkgbuildflagsmkescape=$(subst \,\\\,$(1))
+DEB_CFLAGS_MAINT_APPEND=$(call dpkgbuildflagsmkescape,${EXTRA_CFLAGS})
+DEB_CPPFLAGS_MAINT_APPEND=$(call dpkgbuildflagsmkescape,${EXTRA_CPPFLAGS})
+DEB_LDFLAGS_MAINT_APPEND=$(call dpkgbuildflagsmkescape,${EXTRA_LDFLAGS})
 DEB_BUILD_MAINT_OPTIONS=hardening=+all
 include /usr/share/dpkg/buildflags.mk
 else

## pax 20171021

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $MirOS: src/bin/pax/Makefile,v 1.18 2016/03/06 14:59:08 tg Exp $
+# $MirOS: src/bin/pax/Makefile,v 1.20 2016/10/25 19:00:26 tg Exp $
 # $OpenBSD: Makefile,v 1.10 2001/05/26 00:32:20 millert Exp $
 #-
 # It may be necessary to define some options on pre-4.4BSD or
@@ -15,6 +15,9 @@
 LINKS+=	${BINDIR}/pax ${BINDIR}/cpio
 LINKS+=	${BINDIR}/pax ${BINDIR}/tar
 
+SAFE_PATH=/bin:/usr/bin:/usr/mpkg/bin:/usr/local/bin
+CPPFLAGS+= -DPAX_SAFE_PATH=\"${SAFE_PATH}\"
+
 .if (${MACHINE_OS} == "Interix") || (${MACHINE_OS} == "Linux") || \
     ((${MACHINE_OS} == "GNU") && (${OSNAME} != "GNU/kFreeBSD"))
 CPPFLAGS+= -DLONG_OFF_T
@@ -22,6 +25,7 @@
 
 .if (${MACHINE_OS} == "GNU") || (${MACHINE_OS} == "Linux")
 CPPFLAGS+= -DHAVE_LINKAT # probably
+CPPFLAGS+= -DHAVE_SYS_SYSMACROS_H # probably
 .endif
 
 .if (${MACHINE_OS} == "BSD")

=== debian/changelog ===
pax (1:20171021-2) unstable; urgency=low

  * Policy 4.1.3 (no changes)
  * Debhelper 11, prompted by lintian…
  * Update VCS-* to new repository caused by Alioth deprecation
  * Use ?= for dpkg-architecture output, thanks lintian
  * Update lintian overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 05 Jan 2018 20:22:38 +0100

pax (1:20171021-1) unstable; urgency=medium

  * New upstream release
    - (Closes: #878512) (Closes: #878642) (Closes: #878645)
    - fixes some error messages
    - let lzip have .lz and .tlz extensions (thanks Antonio)
    - exit nonzero if the compression subprocess fails
  * Bump Policy (no changes)

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 21 Oct 2017 21:55:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Thorsten Glaser <tg@mirbsd.de>
 Homepage: http://www.mirbsd.org/pax.htm
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 10)
-VCS-git: https://anonscm.debian.org/git/collab-maint/pax.git -b master
-VCS-Browser: https://anonscm.debian.org/cgit/collab-maint/pax.git/?h=master
+Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 11)
+VCS-git: https://evolvis.org/anonscm/git/alioth/pax.git -b master
+VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/pax.git;a=shortlog;h=refs/heads/master
 
 Package: pax
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
-DEB_BUILD_ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
-DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_HOST_ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+DEB_BUILD_ARCH?=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
+DEB_HOST_ARCH?=$(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH_OS?=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 ifneq (${DEB_BUILD_ARCH},${DEB_HOST_ARCH})
-DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_HOST_GNU_TYPE?=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 endif
 
 # is ${CC} defined anywhere (other than implicit rules?)

=== debian/watch ===
version=3
opts="dversionmangle=s/^[0-9]+://" \
http://www.mirbsd.org/MirOS/dist/mir/cpio/ paxmirabilis-(.*)\.cpio\.gz
